RoutesMenus module
Menus routes
URLs the Menus module answers, their parameters and the variables each view receives.
Admin view
/cdna-admin/menus/add-menu
addMenu
Add a new record. Assigns an empty record to the template.
| Variable | Type | Description |
|---|---|---|
$menu |
Menu |
Single (empty) Menu record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/menus/menu/{id}
editMenu
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$menu |
Menu |
Retrieved Menu record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/menus/menus
manageMenus
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$menus |
Collection<Menu> |
Collection of Menus |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/menus/add-element/{menu.id}/{parent.id}
addElement
Add a new record. Assigns an empty record to the template.
Path parameters
menu.id matches \d+parent.id matches \d+
| Variable | Type | Description |
|---|---|---|
$element |
Element |
Single (empty) Element record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/menus/element/{id}
editElement
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$element |
Element |
Retrieved Element record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/menus/elements/{menu.id}
manageElements
Retrieve available records and assign them to the template for editing.
Path parameters
menu.id matches \d+
| Variable | Type | Description |
|---|---|---|
$elements |
Collection<Element> |
Collection of Elements |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
Only GET routes list their variables.